from parallels.core.utils.entity import Entity


class DomainService(Entity):
    def __init__(self, domain_service_id, domain_id, ip_collection_id, parameters_id, service_type, status):
        self._domain_service_id = domain_service_id
        self._domain_id = domain_id
        self._ip_collection_id = ip_collection_id
        self._parameters_id = parameters_id
        self._service_type = service_type
        self._status = status

    @property
    def domain_service_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_service_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def ip_collection_id(self):
        """
        :rtype: str | unicode
        """
        return self._ip_collection_id

    @property
    def parameters_id(self):
        """
        :rtype: str | unicode
        """
        return self._parameters_id

    @property
    def service_type(self):
        """
        :rtype: str | unicode
        """
        return self._service_type

    @property
    def status(self):
        """
        :rtype: str | unicode
        """
        return self._status
